kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '1'
  selfLink: /apis/apps/v1/namespaces/redhat-istio-tutorial/deployments/customer
  resourceVersion: '7308784'
  name: customer
  uid: 6c742cd7-b3a0-11e9-bddf-fa163eeff3b8
  creationTimestamp: '2019-07-31T14:35:20Z'
  generation: 1
  namespace: redhat-istio-tutorial
  ownerReferences:
    - apiVersion: redhattutorial.kiali.io/v1
      kind: RedHatTutorial
      name: redhattutorial-installation
      uid: 6519bb2a-b3a0-11e9-9846-fa163e0b400e
  labels:
    app: customer
    version: v1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: customer
      version: v1
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: customer
        version: v1
      annotations:
        sidecar.istio.io/inject: 'True'
    spec:
      containers:
        - resources: {}
          readinessProbe:
            exec:
              command:
                - curl
                - 'localhost:8080/health'
            initialDelaySeconds: 10
            timeoutSeconds: 1
            periodSeconds: 5
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          name: customer
          livenessProbe:
            exec:
              command:
                - curl
                - 'localhost:8080/health'
            initialDelaySeconds: 60
            timeoutSeconds: 1
            periodSeconds: 5
            successThreshold: 1
            failureThreshold: 3
          env:
            - name: JAVA_OPTIONS
              value: >-
                -Xms128m -Xmx256m -Djava.net.preferIPv4Stack=true
                -Djava.security.egd=file:///dev/./urandom
          securityContext:
            privileged: false
            procMount: Default
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
            - name: jolokia
              containerPort: 8778
              protocol: TCP
          imagePullPolicy: IfNotPresent
          terminationMessagePolicy: File
          image: 'quay.io/rhdevelopers/istio-tutorial-customer:v1'
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 1
      maxSurge: 1
  revisionHistoryLimit: 2147483647
  progressDeadlineSeconds: 2147483647
status:
  observedGeneration: 1
  replicas: 1
  updatedReplicas: 1
  unavailableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2019-07-31T14:35:20Z'
      lastTransitionTime: '2019-07-31T14:35:20Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
